%define upstream_name	 IPC-Run
%define upstream_version 20231003.0

%global __requires_exclude Win32

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Pty) >= 1.80.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
IPC::Run allows you run and interact with child processes using files,
pipes, and pseudo-ttys. Both system()-style and scripted usages are
supported and may be mixed. Likewise, functional and OO API styles are
both supported and may be mixed.

Various redirection operators reminiscent of those seen on common Unix
and DOS command lines are provided.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 755 eg/*
perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|' eg/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#%{__make} test

%install
%make_install

%files
%doc Changelog LICENSE META.json META.yml MYMETA.yml eg
%{perl_vendorlib}/IPC
%{_mandir}/*/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 20231003.0.0-2.mga10
+ Revision: 2219043
- Mageia 10 Mass Rebuild

* Wed Oct 11 2023 tv <tv> 20231003.0.0-1.mga10
+ Revision: 1994722
- update to 20231003.0

* Sat Aug 13 2022 tv <tv> 20220807.0.0-1.mga9
+ Revision: 1877354
- update to 20220807.0

* Mon Mar 21 2022 umeabot <umeabot> 20200505.0.0-2.mga9
+ Revision: 1812670
- Mageia 9 Mass Rebuild

* Wed May 06 2020 tv <tv> 20200505.0.0-1.mga8
+ Revision: 1580825
- update to 20200505.0

* Wed Feb 12 2020 umeabot <umeabot> 20180523.0.0-3.mga8
+ Revision: 1504831
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 20180523.0.0-2.mga7
+ Revision: 1284310
- Mageia 7 Mass Rebuild

* Sun May 27 2018 tv <tv> 20180523.0.0-1.mga7
+ Revision: 1232385
- update to 20180523.0

* Sat Mar 31 2018 tv <tv> 0.990.0-1.mga7
+ Revision: 1213777
- update to 0.99

* Thu Mar 29 2018 tv <tv> 0.970.0-1.mga7
+ Revision: 1213421
- update to 0.97

* Tue Oct 03 2017 tv <tv> 0.960.0-2.mga7
+ Revision: 1165026
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 0.960.0-1.mga7
+ Revision: 1154267
- new release

* Sun Jun 19 2016 pterjan <pterjan> 0.940.0-3.mga6
+ Revision: 1028801
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.940.0-2.mga6
+ Revision: 967088
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 0.940.0-1.mga6
+ Revision: 848105
- update to 0.94

* Wed Oct 15 2014 umeabot <umeabot> 0.920.0-5.mga5
+ Revision: 743706
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.920.0-4.mga5
+ Revision: 685101
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.920.0-3.mga4
+ Revision: 512305
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.920.0-2.mga3
+ Revision: 368642
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 0.920.0-1.mga3
+ Revision: 286202
- update to 0.92

* Thu Feb 23 2012 jquelin <jquelin> 0.910.0-1.mga2
+ Revision: 212967
- update to 0.91

* Fri Jul 08 2011 jquelin <jquelin> 0.900.0-1.mga2
+ Revision: 120411
- update to 0.90

* Fri Jan 21 2011 jquelin <jquelin> 0.890.0-2.mga1
+ Revision: 29379
- rebuild
- imported package perl-IPC-Run


* Thu Apr 01 2010 Jérôme Quelin <jquelin@mandriva.org> 0.890.0-1mdv2010.1
+ Revision: 530664
- update to 0.89

* Wed Mar 31 2010 Jérôme Quelin <jquelin@mandriva.org> 0.880.0-1mdv2010.1
+ Revision: 530265
- update to 0.88

* Tue Mar 30 2010 Jérôme Quelin <jquelin@mandriva.org> 0.870.0-1mdv2010.1
+ Revision: 529781
- update to 0.87

* Fri Mar 26 2010 Jérôme Quelin <jquelin@mandriva.org> 0.860.0-1mdv2010.1
+ Revision: 527734
- update to 0.86

* Tue Mar 23 2010 Jérôme Quelin <jquelin@mandriva.org> 0.850.0-1mdv2010.1
+ Revision: 526815
- update to 0.85

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.840.0-1mdv2010.0
+ Revision: 402562
- update to 0.56

* Wed Jul 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.84-1mdv2010.0
+ Revision: 396221
- update to new version 0.84

* Fri Jul 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.83-1mdv2010.0
+ Revision: 394084
- update to new version 0.83

* Wed May 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.82-1mdv2010.0
+ Revision: 372503
- update to 0.82

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.80-3mdv2009.1
+ Revision: 351919
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.80-2mdv2009.0
+ Revision: 223803
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu May 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.80-1mdk
- New release 0.80
- better source URL

* Mon Jan 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.79-2mdk
- %%mkrel
- fix directory ownership
- spec cleanup
- correct sample scripts perms

* Thu Jan 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.79-1mdk
- 0.79
- Fix description and URL
- Don't include arch-specific subdirectories
- Add examples in the documentation

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.78-3mdk
- fix buildrequires in a backward compatible way

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.78-2mdk 
- rebuild

* Wed Apr 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.78-1mdk
- new version
- rpmbuildupdate aware
- make test

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.75-4mdk
- fixed dir ownership (distlint)

* Sat Aug 16 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.75-3mdk
- rebuild for new perl
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.75-2mdk
- rebuild for new auto{prov,req}

